/*! grafana - v4.5.0 - 2017-09-14
 * Copyright (c) 2017 Torkel Ödegaard; Licensed Apache-2.0 */

System.register(["lodash","moment","app/core/utils/kbn","app/core/utils/datemath","./metric_find_query","app/core/table_model"],function(a,b){"use strict";function c(a){return a.replace(/[\\^$*+?.()|[\]{}]/g,"\\\\$&")}var d,e,f,g,h,i,j,k;b&&b.id;return{setters:[function(a){d=a},function(a){e=a},function(a){f=a},function(a){g=a},function(a){h=a},function(a){i=a}],execute:function(){j=/(\d+)(ms|s|m|h|d|w|M|y)/,k=function(){function a(a,b,c,d,e){this.$q=b,this.backendSrv=c,this.templateSrv=d,this.timeSrv=e,this.type="prometheus",this.editorSrc="app/features/prometheus/partials/query.editor.html",this.name=a.name,this.supportMetrics=!0,this.url=a.url,this.directUrl=a.directUrl,this.basicAuth=a.basicAuth,this.withCredentials=a.withCredentials}return a.$inject=["instanceSettings","$q","backendSrv","templateSrv","timeSrv"],a.prototype._request=function(a,b,c){var d={url:this.url+b,method:a,requestId:c};return(this.basicAuth||this.withCredentials)&&(d.withCredentials=!0),this.basicAuth&&(d.headers={Authorization:this.basicAuth}),this.backendSrv.datasourceRequest(d)},a.prototype.interpolateQueryExpr=function(a,b,e){if(!b.multi&&!b.includeAll)return a;if("string"==typeof a)return c(a);var f=d.default.map(a,c);return f.join("|")},a.prototype.targetContainsTemplate=function(a){return this.templateSrv.variableExists(a.expr)},a.prototype.query=function(a){var b=this,c=this,e=this.getPrometheusTime(a.range.from,!1),f=this.getPrometheusTime(a.range.to,!0),g=[],h=[];a=d.default.clone(a);for(var i=0,j=a.targets;i<j.length;i++){var k=j[i];if(k.expr&&!k.hide){h.push(k);var l={};l.expr=this.templateSrv.replace(k.expr,a.scopedVars,c.interpolateQueryExpr),l.requestId=a.panelId+k.refId;var m=this.templateSrv.replace(k.interval,a.scopedVars)||a.interval,n=k.intervalFactor||1;k.step=l.step=this.calculateInterval(m,n);var o=Math.ceil(f-e);k.step=l.step=this.adjustStep(l.step,this.intervalSeconds(a.interval),o),g.push(l)}}if(d.default.isEmpty(g))return this.$q.when({data:[]});var p=d.default.map(g,function(a){return b.performTimeSeriesQuery(a,e,f)});return this.$q.all(p).then(function(a){var b=[];return d.default.each(a,function(a,d){if("error"===a.status)throw a.error;if("table"===h[d].format)b.push(c.transformMetricDataToTable(a.data.data.result));else for(var g=0,i=a.data.data.result;g<i.length;g++){var j=i[g];b.push(c.transformMetricData(j,h[d],e,f))}}),{data:b}})},a.prototype.adjustStep=function(a,b,c){return 0!==a&&c/a>11e3&&(a=Math.ceil(c/11e3)),Math.max(a,b)},a.prototype.performTimeSeriesQuery=function(a,b,c){if(b>c)throw{message:"Invalid time range"};var d="/api/v1/query_range?query="+encodeURIComponent(a.expr)+"&start="+b+"&end="+c+"&step="+a.step;return this._request("GET",d,a.requestId)},a.prototype.performSuggestQuery=function(a,b){var c=this;void 0===b&&(b=!1);var e="/api/v1/label/__name__/values";return b&&this.metricsNameCache&&this.metricsNameCache.expire>Date.now()?this.$q.when(d.default.filter(this.metricsNameCache.data,function(b){return 1!==b.indexOf(a)})):this._request("GET",e).then(function(b){return c.metricsNameCache={data:b.data.data,expire:Date.now()+6e4},d.default.filter(b.data.data,function(b){return 1!==b.indexOf(a)})})},a.prototype.metricFindQuery=function(a){if(!a)return this.$q.when([]);var b=this.templateSrv.replace(a,{},this.interpolateQueryExpr),c=new h.default(this,b,this.timeSrv);return c.process()},a.prototype.annotationQuery=function(a){var b=a.annotation,c=b.expr||"",e=b.tagKeys||"",g=b.titleFormat||"",h=b.textFormat||"";if(!c)return this.$q.when([]);var i=this.templateSrv.replace(c,{},this.interpolateQueryExpr),j="60s";b.step&&(j=this.templateSrv.replace(b.step));var k=this.getPrometheusTime(a.range.from,!1),l=this.getPrometheusTime(a.range.to,!0),m={expr:i,step:this.adjustStep(f.default.interval_to_seconds(j),0,Math.ceil(l-k))+"s"},n=this;return this.performTimeSeriesQuery(m,k,l).then(function(a){var c=[];return e=e.split(","),d.default.each(a.data.data.result,function(a){for(var f=d.default.chain(a.metric).filter(function(a,b){return d.default.includes(e,b)}).value(),i=0,j=a.values;i<j.length;i++){var k=j[i];if("1"===k[1]){var l={annotation:b,time:1e3*Math.floor(parseFloat(k[0])),title:n.renderTemplate(g,a.metric),tags:f,text:n.renderTemplate(h,a.metric)};c.push(l)}}}),c})},a.prototype.testDatasource=function(){return this.metricFindQuery("metrics(.*)").then(function(){return{status:"success",message:"Data source is working"}})},a.prototype.calculateInterval=function(a,b){return Math.ceil(this.intervalSeconds(a)*b)},a.prototype.intervalSeconds=function(a){var b=a.match(j),c=e.default.duration(parseInt(b[1]),b[2]),d=c.asSeconds();return d<1&&(d=1),d},a.prototype.transformMetricData=function(a,b,c,e){var f=[],g=null;g=this.createMetricLabel(a.metric,b);for(var h=1e3*parseInt(b.step),i=1e3*c,j=0,k=a.values;j<k.length;j++){var l=k[j],m=parseFloat(l[1]);d.default.isNaN(m)&&(m=null);for(var n=1e3*parseFloat(l[0]),o=i;o<n;o+=h)f.push([null,o]);i=n+h,f.push([m,n])}for(var p=1e3*e,o=i;o<=p;o+=h)f.push([null,o]);return{target:g,datapoints:f}},a.prototype.transformMetricDataToTable=function(a){var b,c,e=new i.default,f={};if(0===a.length)return e;d.default.each(a,function(a){for(var b in a.metric)f.hasOwnProperty(b)||(f[b]=1)});var g=d.default.keys(f).sort();return e.columns.push({text:"Time",type:"time"}),d.default.each(g,function(a,b){f[a]=b+1,e.columns.push({text:a})}),e.columns.push({text:"Value"}),d.default.each(a,function(a){if(a.values)for(b=0;b<a.values.length;b++){var d=a.values[b],f=[1e3*d[0]];if(a.metric)for(c=0;c<g.length;c++){var h=g[c];a.metric.hasOwnProperty(h)?f.push(a.metric[h]):f.push("")}f.push(parseFloat(d[1])),e.rows.push(f)}}),e},a.prototype.createMetricLabel=function(a,b){return d.default.isUndefined(b)||d.default.isEmpty(b.legendFormat)?this.getOriginalMetricName(a):this.renderTemplate(this.templateSrv.replace(b.legendFormat),a)||"{}"},a.prototype.renderTemplate=function(a,b){var c=/\{\{\s*(.+?)\s*\}\}/g;return a.replace(c,function(a,c){return b[c]?b[c]:c})},a.prototype.getOriginalMetricName=function(a){var b=a.__name__||"";delete a.__name__;var c=d.default.map(d.default.toPairs(a),function(a){return a[0]+'="'+a[1]+'"'}).join(",");return b+"{"+c+"}"},a.prototype.getPrometheusTime=function(a,b){return d.default.isString(a)&&(a=g.parse(a,b)),Math.ceil(a.valueOf()/1e3)},a}(),a("PrometheusDatasource",k)}}});